JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.comm.commspace
Class CommSpaceElement

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.comm.commspace.CommSpaceElement

public final class CommSpaceElement
extends java.lang.Object
implements java.lang.Cloneable

Element in the CommSpace for communication. This is what gets written to the CommSpace

XXX does this need to exist or can I just stick Objects in the CommSpace?

XXX because the val field is final, its impossible to re-use a CommSpaceElement (i.e., for a different object...) Could work around this by making the val field read-only while the object was lodged in the CommSpace...

XXX these are shared between processes.... i.e., they leak (~2 words).

"Big Deal." -- Chris H.

XXX Should the get methods be copying their contents?

Author:
  Janos Ministry of Development

Fields inherited from interface java.lang.Cloneable
`KAFFE_VERSION`

Constructor Summary
`CommSpaceElement(boolean val)`
`CommSpaceElement(java.lang.Boolean val)`
`CommSpaceElement(byte[] val)`
`CommSpaceElement(char[] val)`
`CommSpaceElement(CommHashtableHandle val)`
`CommSpaceElement(CommQueuePusher val)`
`CommSpaceElement(CommSpaceable val)`
`CommSpaceElement(CommSpaceHandle val)`
`CommSpaceElement(int val)`
`CommSpaceElement(java.lang.Integer val)`
`CommSpaceElement(long val)`
`CommSpaceElement(java.lang.Long val)`
`CommSpaceElement(java.lang.String val)`

Method Summary
`java.lang.Object` `clone()`
`boolean` `equals(java.lang.Object obj)`
`boolean` `getBool()`
`java.lang.Boolean` `getBoolean()`
`byte[]` `getByteArray()`
`void` `getByteArray(byte[] outbuf, int index)`
`char[]` `getCharArray()`
`void` `getCharArray(char[] outbuf, int index)`
`CommHashtableHandle` `getCommHashtableHandle()`
`CommQueuePusher` `getCommQueue()`
`CommSpaceable` `getCommSpaceable()`
`CommSpaceHandle` `getCommSpaceHandle()`
`int` `getInt()`
`java.lang.Integer` `getInteger()`
`long` `getLong()`
`java.lang.Long` `getLongObject()`
`java.lang.String` `getString()`
`int` `hashCode()`
`java.lang.String` `toString()`
`int` `type()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommSpaceElement

    public CommSpaceElement(boolean val)

### CommSpaceElement

    public CommSpaceElement(java.lang.Boolean val)

### CommSpaceElement

    public CommSpaceElement(int val)

### CommSpaceElement

    public CommSpaceElement(java.lang.Long val)

### CommSpaceElement

    public CommSpaceElement(long val)

### CommSpaceElement

    public CommSpaceElement(java.lang.Integer val)

### CommSpaceElement

    public CommSpaceElement(char[] val)

### CommSpaceElement

    public CommSpaceElement(byte[] val)

### CommSpaceElement

    public CommSpaceElement(java.lang.String val)

### CommSpaceElement

    public CommSpaceElement(CommSpaceHandle val)

### CommSpaceElement

    public CommSpaceElement(CommQueuePusher val)

### CommSpaceElement

    public CommSpaceElement(CommHashtableHandle val)

### CommSpaceElement

    public CommSpaceElement(CommSpaceable val)

Method Detail

### type

    public int type()

### getInt

    public int getInt()

### getInteger

    public java.lang.Integer getInteger()

### getLong

    public long getLong()

### getLongObject

    public java.lang.Long getLongObject()

### getBool

    public boolean getBool()

### getBoolean

    public java.lang.Boolean getBoolean()

### getString

    public java.lang.String getString()

### getCharArray

    public char[] getCharArray()

### getCharArray

    public void getCharArray(char[] outbuf,
                             int index)

### getByteArray

    public byte[] getByteArray()

### getByteArray

    public void getByteArray(byte[] outbuf,
                             int index)

### getCommSpaceHandle

    public CommSpaceHandle getCommSpaceHandle()

### getCommQueue

    public CommQueuePusher getCommQueue()

### getCommHashtableHandle

    public CommHashtableHandle getCommHashtableHandle()

### getCommSpaceable

    public CommSpaceable getCommSpaceable()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002